%define pkg_name        Template-XML
%define pkg_version     2.17
%define rpm_pkg_version 2.17
%define rpm_pkg_release 1.n0i.3

Summary:       XML plugins for the Template Toolkit
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AB/ABW/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Template) >= 2.15
BuildRequires: perl(XML::DOM) >= 1.27
BuildRequires: perl(XML::Parser) >= 2.19
BuildRequires: perl(XML::RSS) >= 0.9
BuildRequires: perl(XML::Simple) >= 2.0
BuildRequires: perl(XML::XPath) >= 1.0
%endif


%description
%{summary}.

%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.17-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 2.17

* Tue May 30 2006 Marius Feraru <altblue@n0i.net> - 2.16-1.n0i.2
- version 2.16

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 2.15-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
